Loading...
Searching...
No Matches
BALL::SmartsParser::SPAtom::PropertyValue Union Reference

possible types of the properties More...

`#include <BALL/STRUCTURE/smartsParser.h>`

## Public Attributes

int | int_value
bool | bool_value
const Element * | element_value
ChiralClass | chiral_class_value

## Detailed Description

possible types of the properties

Definition at line 213 of file smartsParser.h.

## Member Data Documentation

## bool_value

bool BALL::SmartsParser::SPAtom::PropertyValue::bool_value

Definition at line 216 of file smartsParser.h.

## chiral_class_value

ChiralClass BALL::SmartsParser::SPAtom::PropertyValue::chiral_class_value

Definition at line 218 of file smartsParser.h.

## element_value

const Element* BALL::SmartsParser::SPAtom::PropertyValue::element_value

Definition at line 217 of file smartsParser.h.

## int_value

int BALL::SmartsParser::SPAtom::PropertyValue::int_value

Definition at line 215 of file smartsParser.h.